# Compose Projects
A list of projects that are related to Jetpack Compose. If you want to add an entry, please edit the table and send PR.

# Example Apps

| Name                                    | Description  |
| ----------------------------------------- | ------------------------------------ |
| [Jetpack Compose Playground](https://github.com/Foso/Jetpack-Compose-Playground)  		    | Collection of Jetpack Compose example code :rocket: .  |
| [Compose Pokedex](https://github.com/zsoltk/compose-pokedex)  		    | Pokedex on Jetpack Compose.  |
| [Compose Samples Repository](https://github.com/android/compose-samples)  		    | This repository contains a set of individual Android Studio projects to help you learn about Compose in Android.  |
| [PeopleInSpace](https://github.com/joreilly/PeopleInSpace)  		    | Minimal Kotlin Multiplatform project using Jetpack Compose and SwiftUI|
| [ComposeClock](https://github.com/adibfara/composeclock)  		    | Particle clock created with Jetpack Compose framework |
| [JetDelivery](https://github.com/vipulasri/JetDelivery)  		    | JetDelivery is a sample food delivery app, built with Jetpack Compose.|
| [Learn Jetpack Compose By Example](https://github.com/vinaygaba/Learn-Jetpack-Compose-By-Example)  		    | This project contains various examples that show how you would do things the "Jetpack Compose" way|
| [Full Compose Cookbook with Demo UIs](https://github.com/Gurupreet/ComposeCookBook)  		  | This project showcase all UI, Widgets, Animations and Demo UI samples.
| [JetInstagram](https://github.com/vipulasri/JetInstagram)  		  | An Instagram UI clone app built with "Jetpack Compose" with Like Button Animation and instagram reels feature with exoplayer.
| [DisneyCompose](https://github.com/skydoves/DisneyCompose) | A demo Disney app using compose and Hilt based on modern Android tech-stacks and MVVM architecture. Fetching data from the network and integrating persisted data in the database via repository pattern. Declarative UI version of the DisneyMotions using compose. 
| [JetBrains Compose](https://github.com/JetBrains/compose-jb) | Compose Kotlin UI framework port for desktop platforms (macOS, Linux, Windows), components outside of the core .
| [Compose Slack Desktop](https://github.com/vipulasri/ComposeSlackDesktop)  		  | A Slack demo app for desktop using Jetpack Compose UI toolkit
| [FlappyBird](https://github.com/Nthily/FlappyBird) | FlappyBird made with Jetpack Compose.
| [JetSpotify](https://github.com/sunny52525/JetSpotify) | This is a Spotify App made in Jetpack Compose having Spotify Android UI and functionality using Spotify SDK and web API.
| [JetPic Express](https://github.com/la-colinares/JetPicExpress) | A simple photo editing app that allows you to apply stunning filters and share it to the world. This app was built using the latest Jetpack Compose UI for Modern Native Android UI development.

# Libraries

| Name                                    | Description  |
| ----------------------------------------- | ------------------------------------ |
| [accompanist](https://github.com/chrisbanes/accompanist/)  		    |  A collection of extension libraries for Jetpack Compose   |
| [Showkase](https://github.com/airbnb/Showkase)  		    | Showkase is an annotation-processor based Android library that helps you organize, discover, search and visualize Jetpack Compose UI elements  |
| [Decompose](https://github.com/arkivanov/Decompose)  		    | Lifecycle-aware components for Jetpack Compose with routing functionality |
| [Compose Router](https://github.com/zsoltk/compose-router)  		    | Routing functionality for Jetpack Compose with back stack |
| [Compose Glide Image](https://github.com/mvarnagiris/compose-glide-image)  		    | Simple Glide library adaptation for Jetpack Compose.  |
| [Compose Navigation](https://github.com/mvarnagiris/compose-navigation)  		    |  |
| [Compose Backstack](https://github.com/zach-klippenstein/compose-backstack)  		    | Simple composable for rendering transitions between backstacks.|
| [SwipeReveal-Compose](https://github.com/kacmacuna/SwipeReveal-Compose)  		    | A layout that you can swipe to show action buttons.|
| [Landscapist](https://github.com/skydoves/landscapist)  		    | 🍂 Jetpack Compose image loading library which can fetch and display network images using Glide, Coil, and Fresco.|


# Websites

| Name                                    | Description  |
| ----------------------------------------- | ------------------------------------ |
| [Compose.Academy](https://compose.academy/)  		    |  |
| [Jetpackcompose.app](https://Jetpackcompose.app)  		    |  |
| [Jetpack Compose 中文文档](https://docs.compose.net.cn/) |

# Compose for Web

| Name                                    | Description  |
| ----------------------------------------- | ------------------------------------ |
| [HtmlToComposeWebConverter](https://github.com/Foso/HtmlToComposeWebConverter) | Intellij Idea Plugin that can convert HTML to Compose for Web code. https://plugins.jetbrains.com/plugin/18261-html-to-compose-web-converter
| [Compose-Snake-Web](https://github.com/Foso/compose-snake-web) | This is a Compose for Web port of CompoSnake.
